Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| HTML Parser Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.htmlparser.sax
Class Attributes

    java.lang.Object
      org.htmlparser.sax.Attributes

All Implemented Interfaces:
  Attributes

    public class Attributes

extends Object
implements Attributes

Provides access to the tag attributes.

Field Summary
`protected String[]` | `mParts` Elements of the qname.
`protected NamespaceSupport` | `mSupport` The utility class that converts namespaces.
`protected Tag` | `mTag` The tag from which attributes are exposed.

Constructor Summary
`Attributes(Tag tag, NamespaceSupport support, String[] parts)` Create an attibute access object.

Method Summary
`int` | `getIndex(String qName)` Look up the index of an attribute by XML qualified (prefixed) name.
`int` | `getIndex(String uri, String localName)` Look up the index of an attribute by Namespace name.
`int` | `getLength()` Return the number of attributes in the list.
`String` | `getLocalName(int index)` Look up an attribute's local name by index.
`String` | `getQName(int index)` Look up an attribute's XML qualified (prefixed) name by index.
`String` | `getType(int index)` Look up an attribute's type by index.
`String` | `getType(String qName)` Look up an attribute's type by XML qualified (prefixed) name.
`String` | `getType(String uri, String localName)` Look up an attribute's type by Namespace name.
`String` | `getURI(int index)` Look up an attribute's Namespace URI by index.
`String` | `getValue(int index)` Look up an attribute's value by index.
`String` | `getValue(String qName)` Look up an attribute's value by XML qualified (prefixed) name.
`String` | `getValue(String uri, String localName)` Look up an attribute's value by Namespace name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mTag

    protected Tag mTag

  The tag from which attributes are exposed.

### mSupport

    protected NamespaceSupport mSupport

  The utility class that converts namespaces.

### mParts

    protected String[] mParts

  Elements of the qname. Allocated once for all uses of `mSupport`.

Constructor Detail

### Attributes

    public Attributes(Tag tag,
                      NamespaceSupport support,
                      String[] parts)

  Create an attibute access object.

  Parameters:
    `tag` - The tag to expose.
    `support` - The namespace converter.
    `parts` - The elements of the qualified name.

Method Detail

### getLength

    public int getLength()

  Return the number of attributes in the list.

  Once you know the number of attributes, you can iterate through the list.

  Specified by:
    `getLength` in interface `Attributes`
  Returns:
    The number of attributes in the list.
  See Also:
    `getURI(int)`, `getLocalName(int)`, `getQName(int)`, `getType(int)`, `getValue(int)`

### getURI

    public String getURI(int index)

  Look up an attribute's Namespace URI by index.

  Specified by:
    `getURI` in interface `Attributes`
  Parameters:
    `index` - The attribute index (zero-based).
  Returns:
    The Namespace URI, or the empty string if none is available, or null if the index is out of range.
  See Also:
    `getLength()`

### getLocalName

    public String getLocalName(int index)

  Look up an attribute's local name by index.

  Specified by:
    `getLocalName` in interface `Attributes`
  Parameters:
    `index` - The attribute index (zero-based).
  Returns:
    The local name, or the empty string if Namespace processing is not being performed, or null if the index is out of range.
  See Also:
    `getLength()`

### getQName

    public String getQName(int index)

  Look up an attribute's XML qualified (prefixed) name by index.

  Specified by:
    `getQName` in interface `Attributes`
  Parameters:
    `index` - The attribute index (zero-based).
  Returns:
    The XML qualified name, or the empty string if none is available, or null if the index is out of range.
  See Also:
    `getLength()`

### getType

    public String getType(int index)

  Look up an attribute's type by index.

  The attribute type is one of the strings "CDATA", "ID", "IDREF", "IDREFS", "NMTOKEN", "NMTOKENS", "ENTITY", "ENTITIES", or "NOTATION" (always in upper case).

  If the parser has not read a declaration for the attribute, or if the parser does not report attribute types, then it must return the value "CDATA" as stated in the XML 1.0 Recommendation (clause 3.3.3, "Attribute-Value Normalization").

  For an enumerated attribute that is not a notation, the parser will report the type as "NMTOKEN".

  Specified by:
    `getType` in interface `Attributes`
  Parameters:
    `index` - The attribute index (zero-based).
  Returns:
    The attribute's type as a string, or null if the index is out of range.
  See Also:
    `getLength()`

### getValue

    public String getValue(int index)

  Look up an attribute's value by index.

  If the attribute value is a list of tokens (IDREFS, ENTITIES, or NMTOKENS), the tokens will be concatenated into a single string with each token separated by a single space.

  Specified by:
    `getValue` in interface `Attributes`
  Parameters:
    `index` - The attribute index (zero-based).
  Returns:
    The attribute's value as a string, or null if the index is out of range.
  See Also:
    `getLength()`

### getIndex

    public int getIndex(String uri,
                        String localName)

  Look up the index of an attribute by Namespace name.

  Specified by:
    `getIndex` in interface `Attributes`
  Parameters:
    `uri` - The Namespace URI, or the empty string if the name has no Namespace URI.
    `localName` - The attribute's local name.
  Returns:
    The index of the attribute, or -1 if it does not appear in the list.

### getIndex

    public int getIndex(String qName)

  Look up the index of an attribute by XML qualified (prefixed) name.

  Specified by:
    `getIndex` in interface `Attributes`
  Parameters:
    `qName` - The qualified (prefixed) name.
  Returns:
    The index of the attribute, or -1 if it does not appear in the list.

### getType

    public String getType(String uri,
                          String localName)

  Look up an attribute's type by Namespace name.

  See `getType(int)` for a description of the possible types.

  Specified by:
    `getType` in interface `Attributes`
  Parameters:
    `uri` - The Namespace URI, or the empty String if the name has no Namespace URI.
    `localName` - The local name of the attribute.
  Returns:
    The attribute type as a string, or null if the attribute is not in the list or if Namespace processing is not being performed.

### getType

    public String getType(String qName)

  Look up an attribute's type by XML qualified (prefixed) name.

  See `getType(int)` for a description of the possible types.

  Specified by:
    `getType` in interface `Attributes`
  Parameters:
    `qName` - The XML qualified name.
  Returns:
    The attribute type as a string, or null if the attribute is not in the list or if qualified names are not available.

### getValue

    public String getValue(String uri,
                           String localName)

  Look up an attribute's value by Namespace name.

  See `getValue(int)` for a description of the possible values.

  Specified by:
    `getValue` in interface `Attributes`
  Parameters:
    `uri` - The Namespace URI, or the empty String if the name has no Namespace URI.
    `localName` - The local name of the attribute.
  Returns:
    The attribute value as a string, or null if the attribute is not in the list.

### getValue

    public String getValue(String qName)

  Look up an attribute's value by XML qualified (prefixed) name.

  See `getValue(int)` for a description of the possible values.

  Specified by:
    `getValue` in interface `Attributes`
  Parameters:
    `qName` - The XML qualified name.
  Returns:
    The attribute value as a string, or null if the attribute is not in the list or if qualified names are not available.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| © 2005 Derrick Oswald Jun 10, 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

HTML Parser is an open source library released under LGPL. |